//CWinClass.cpp       //25 lines of code
#ifndef UNICODE
#define UNICODE
#define _UNICODE
#endif
#include <windows.h>
#include <tchar.h>
#include "CWinClass.h"

CWinClass::CWinClass(WNDPROC fnWndProc, LPCTSTR szClassName, int cbClsExtra,  int cbWndExtra, HBRUSH hBackColor, HINSTANCE hInst)
{
 wc.cbSize        = sizeof(WNDCLASSEX);
 wc.style         = 0;
 wc.lpfnWndProc   = fnWndProc;
 wc.cbClsExtra    = cbClsExtra;
 wc.cbWndExtra    = cbWndExtra;
 wc.hInstance     = hInst;
 wc.hIcon         = LoadIcon(NULL,IDI_APPLICATION);
 wc.hIconSm       = 0;
 wc.hCursor       = LoadCursor (0, IDC_ARROW);
 wc.hbrBackground = hBackColor;
 wc.lpszMenuName  = 0;
 wc.lpszClassName = szClassName;
 RegisterClassEx(&wc);
}

