//CForm5.cpp         //57 lines of code
#define MYDEBUG
#ifndef UNICODE
#define UNICODE
#define _UNICODE
#endif
#include <windows.h>
#include <tchar.h>
#include <cstdio>
#include "CWindow.h"
#include "CForm5.h"
#ifdef MYDEBUG
extern FILE* fp;
#endif

CForm5::CForm5              //This is the constructor for our CForm5 class.  All the parameters
(                           //of a CreateWindow() call are passed in, plus the iShow parameter
  int iShow,                //from WinMain.  Note in this implementation file in this CForm5
  LPCTSTR szClassName,      //constructor we have a 'Constructor Initialization List' comprising
  LPCTSTR szCaption,        //of only one element and that is a call on the CWindow() constructor
  DWORD dwStyle,            //which initializes the 'base' part of a CForm2 object.  All the
  int x,                    //parameters of the CForm5 constructor are simply passed in as is.
  int y,                    //After the CWindow() constructor returns and the body of the CForm5
  int nWidth,               //constructor is entered, the most noteworthy thing that happens is
  int nHeight,              //that a pointer to the object, i.e., this, is stored at offset zero
  HWND hParent,             //in the already created .cbWndExtra bytes.
  HMENU hMenu,
  HINSTANCE hIns,
  void* lpCreateParams
 ):CWindow(iShow,szClassName,szCaption,dwStyle,x,y,nWidth,nHeight,hParent,hMenu,hIns,lpCreateParams)
{
  #ifdef MYDEBUG
  fprintf(fp,"  Entering CForm5 Constructor!\n");
  #endif
  SetWindowLong(this->m_hWnd,0,(long)this);
  this->m_nCmdShow=iShow;
  this->m_pbtn=new CButton((TCHAR*)_T("Get Text"),115,55,80,30,this->m_hWnd,IDC_BUTTON,this->m_hInst);
  this->m_ptxt=new CEdit((TCHAR*)_T(""),15,15,285,22,this->m_hWnd,IDC_TEXT,this->m_hInst);
  #ifdef MYDEBUG
  fprintf(fp,"    this          = %u\n",(unsigned)this);
  fprintf(fp,"    this->m_hInst = %u\n",(unsigned)this->m_hInst);
  fprintf(fp,"    this->m_hWnd  = %u\n",(unsigned)this->m_hWnd);
  fprintf(fp,"  Leaving CForm5 Constructor!\n\n");
  #endif
}

long CForm5::OnCommand(HWND hWnd, WPARAM wParam, LPARAM lParam)
{
 CForm5* pForm5=NULL;

 pForm5=(CForm5*)GetWindowLong(hWnd,0);
 switch(LOWORD(wParam))
 {
  case IDC_BUTTON:
    {
       TCHAR szBuffer[256];
       pForm5->m_ptxt->GetText(szBuffer,256);
       MessageBox(hWnd,szBuffer,_T("Here Is Your Text"),MB_OK);
    }
    break;
 }

 return 0L;
}

long CForm5::OnDestroy()
{
 PostQuitMessage(0);
 return 0L;
}

CForm5::~CForm5()
{
 #ifdef MYDEBUG
 _ftprintf(fp,_T("  Executing CForm5 Destructor!\n"));
 #endif
}



