//Main.cpp //32
#ifndef UNICODE
#define UNICODE
#define _UNICODE
#endif
#define MYDEBUG
#include <windows.h>
#include <tchar.h>
#include <cstdio>
#include "CWinClass.h"
#include "CButton.h"
#include "CEdit.h"
#include "CWindow.h"
#include "CForm5.h"
#ifdef MYDEBUG
FILE* fp=NULL;
#endif

LRESULT CALLBACK Form5_WndProc(HWND hWnd, unsigned int msg, WPARAM wParam, LPARAM lParam)
{
 switch(msg)
 {
   case WM_COMMAND:
     return CForm5::OnCommand(hWnd,wParam,lParam);
   case WM_DESTROY:
     return CForm5::OnDestroy();
 }

 return (DefWindowProc(hWnd, msg, wParam, lParam));
}

int WINAPI WinMain(HINSTANCE hIns, HINSTANCE hPrevIns, LPSTR lpszArgument, int iShow)
{
 #ifdef MYDEBUG
 fp=fopen("Output.txt","w");
 fprintf(fp,"Entering WinMain()\n");
 fprintf(fp,"  hIns = %u\n\n",(unsigned)hIns);
 #endif
 CWinClass wc(Form5_WndProc,_T("Form5"),0,4,(HBRUSH)COLOR_BTNSHADOW,hIns);
 CForm5* pApp=new CForm5(iShow,_T("Form5"),_T("Form5"),WS_OVERLAPPEDWINDOW,200,200,330,135,0,(HMENU)0,hIns,0);
 #ifdef MYDEBUG
 fprintf(fp,"  pApp = %u\n\n",(unsigned)pApp);
 #endif
 pApp->Run();
 delete pApp;
 #ifdef MYDEBUG
 fprintf(fp,"Leaving WinMain()\n");
 fclose(fp);
 #endif

 return 0;
}
